// pages/mine/wxml/receivingaddress.js
// var requester = getApp().global.requester;
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    idx:0,
    news: []
  },
  //修改默认地址
  radioChange: function(e) {
    //console.log('radio发生change事件，携带value值为：', e.detail.value)
    var _this = this;
    wx.request({
      url: app.globalData.prodUrl + 'web-pm/wx/address/update_is_default',
      header: {
        'ydw-token': wx.getStorageSync('key').ydw_token
      },
      data:{
        kid: e.detail.value
      },
      success: function (data) {
        //console.log(_this.data.kid)
        if (_this.data.commodityid){
          wx.navigateBack({
            delta: 1,
            success: function () {
              //console.log(data)
              var pages = getCurrentPages();
              var page = getCurrentPages().pop();
              //console.log(pages)
              if (page == undefined || page == null) return;
              pages[2].onLoad(pages[2].options);
            }
          })
        }
      },
    });
  },
  //删除
  deletes:function(e){
    var _this = this;
    //console.log(e.target.dataset.kid)
    wx.showModal({
      title: '提示',
      content: '确定删除吗？',
      success: function (res) {
        if (res.confirm) {
          //console.log('用户点击确定')
          wx.request({
            url: app.globalData.prodUrl + 'web-pm/wx/address/delete',
            header: {
              'ydw-token': wx.getStorageSync('key').ydw_token
            },
            data: {
              kid: e.target.dataset.kid
            },
            success: function (data) {
              //console.log(data)
              if (_this.data.commodityid) {
                wx.navigateBack({
                  delta: 1,
                  success: function () {
                    //console.log(data)
                    var pages = getCurrentPages();
                    var page = getCurrentPages().pop();
                    //console.log(pages)
                    if (page == undefined || page == null) return;
                    pages[2].onLoad(pages[2].options);
                  }
                })
              } else {
                _this.onLoad()
              }
            },
          });
        } else if (res.cancel) {
          //console.log('用户点击取消')
        }
      }
    })
   
  },
 //新增
 add:function(e){
    var _this = this;
   if (_this.data.commodityid){
     wx.navigateTo({
       url : '../add/add?commodityid=' + _this.data.commodityid
     })
   }else{
     wx.navigateTo({
       url: '../add/add'
     })
   }
 },
 
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    // this.data.dataObj = JSON.parse(options.dataObj);
    // this.data.news.push(this.data.dataObj)
    // //console.log(this.data.news)
    
    var _this = this;
    wx.getStorage({
      key: 'key',
      success: function (cookies) {
        wx.request({
          url: app.globalData.prodUrl + 'web-pm/wx/address/get_address',
          header: {
            'ydw-token': cookies.data.ydw_token
          },
          success: function (data) {
            //console.log(data.data.data)
            _this.setData({
              news: data.data.data
            });
            if (options.kid) {
              _this.setData({
                commodityid: options.kid
              });
            }
            // //console.log(_this.data.news[0].is_default)
          },
        });
      }
    })
   
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  }
})